package com.tsi.comm.server.dao.maraidb.mapper;

import com.tsi.comm.server.vo.mariadb.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TsiCommServerMapper {

    List<AlarmConfigVo> getAlarmConfig();
    int insertAlarmOccrHs(@Param("vo") AlarmOccrVo vo);

    List<NodeVo> getNodeInfoList();
    List<NodeAddVo> getNodeAddInfoList();

    int updateNodeIpAddr(@Param("node") NodeIpAddrVo node);

    int insertNodeStatusInitialize();
    int updateNodeStatusTerm(@Param("serverId") Integer serverId);

    int updateNodeStatus(@Param("stts") NodeStatusVo login);

    int insertKafkaTransHs(@Param("stat") KafkaTransVo stat);
    int insertCommTpsHs(@Param("stat") CommStatusVo stat);

    int updateProcessStatusStart(@Param("stts") ProcessStateVo stts);
    int updateProcessStatusStop(@Param("stts") ProcessStateVo stts);
    int updateProcessStatusRun(@Param("stts") ProcessStateVo stts);
}
